using HtmlAgilityPack;

namespace Beam.Abstractions;

public interface IManySelectionComposableDataProvider<out T> : IDataProvider<T> {
    public T ManyGet(HtmlNode[] node);
    public HtmlNode[]? SelectMany(HtmlDocument doc);
    public HtmlNode[]? SelectMany(HtmlNode[] node);
}